
@media (max-width: 1024px) {
  .products-grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .products-grid {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }

  .product-card img {
    width: 100%;
    height: auto;
  }
  .referral-section {
   margin: 0 20px;
  }


    .footer-inner {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr ;
            gap: 20px;
  }


  /* Informazioni и Note generali — рядом */
  /* (они идут 2-м и 3-м элементом, встают сами по 1 колонке) */

  /* Anmeldung — слева */


  /* Соцсети — справа, на той же строке */

}

@media (max-width: 768px) {
  .footer-inner {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto;
  }

  /* Логотип + адрес — на всю ширину */
  .brand {
    grid-column: 1 / -1;
  }

  /* Informazioni и Note generali — рядом */
  /* (они идут 2-м и 3-м элементом, встают сами по 1 колонке) */

  /* Anmeldung — слева */
  .col-signup {
    grid-column: 1;
  }

  /* Соцсети — справа, на той же строке */
  .col-social {
    grid-column: 2;
    justify-content: flex-end;
    align-items: flex-start;
    padding-top: 0;
  }
}
/* BURGER */
.burger {
  display: none;
  flex-direction: column;
  gap: 5px;
  cursor: pointer;
  margin-left: auto;
}

.burger span {
  width: 25px;
  height: 3px;
  background: #000;
  display: block;
}

/* MOBILE */
@media (max-width: 480px) {
  header {
    justify-content: space-between;
    height: 80px;
    padding: 0 10px;
  }

  .logo img {
    height: 60px;
  }

  .burger {
    display: flex;
  }

  /* скрываем десктоп */
  nav {
    display: none;
  }

  .nav-icons {
    display: none;
  }

  /* выпадающее меню */
  .mobile-menu {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #fff;

    display: flex;
    flex-direction: column;

    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: 0.3s;
    z-index: 999;
  }

  .mobile-menu.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }

  .mobile-menu nav {
    display: flex;
    flex-direction: column;
    padding: 15px;
    gap: 15px;
  }

  .mobile-menu nav a {
    font-size: 18px;
  }
  .dropdown {
    display: flex;
    flex-direction: column;
            align-items: center;
  }
  /* dropdown в мобиле — просто как список */
  .dropdown-menu {
    position: static;
    opacity: 1;
    visibility: visible; 
    transform: none;
    box-shadow: none;
    margin-top: 5px;
            display: flex;
        flex-direction: column;
        align-items: center;
  }

  .dropdown-menu::before {
    display: none;
  }

  /* линия */
  .mobile-divider {
    height: 1px;
    background: #ddd;
    margin: 10px 0;
  }

  .mobile-menu .nav-icons {
    display: flex;
    justify-content: center;
    padding-bottom: 15px;
    margin: auto;
  }
  .referral-section {
    display: flex;
    flex-direction: column;
  }
  .referral-section img {
   width: 100%;
   object-fit: cover;
   border-radius: 14px;
 }
 .referral-content {
  padding-left: 0px;
 }
  .referral-content h2 {

   font-size: 24px;

 }

 .referral-content p {
   font-size: 16px;

 }
  .btn-more {
   padding: 16px 40px;

 }
  .why-grid {
   display: grid;
   grid-template-columns: repeat(1, 1fr);
   gap: 30px;
   text-align: left;
 }
  .why-us h2 {
    font-size: 30px;
  }
   .why-us .sub {
    font-size: 16px;
        font-weight: 400;
   }
   .why-item p {
    font-size: 12px;
   }

  .footer-inner {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto;
            gap: 20px;
  }

  /* Логотип + адрес — на всю ширину */
  .brand {
    grid-column: 1 / -1;
  }

  /* Informazioni и Note generali — рядом */
  /* (они идут 2-м и 3-м элементом, встают сами по 1 колонке) */

  /* Anmeldung — слева */
  .col-signup {
    grid-column: 1;
  }

  /* Соцсети — справа, на той же строке */
  .col-social {
    grid-column: 2;
    justify-content: flex-end;
    align-items: flex-start;
    padding-top: 0;
  }
  .footer-bottom-btns {
    flex-wrap: wrap;
    white-space: nowrap;
    flex-direction: row-reverse;
  }
}

/*--------hero -----*/
/* DOTS */

/* MOBILE */
@media (max-width: 480px) {




  .heroSwiper {
    padding-left: 15px;
  }

  .swiper-slide {
    width: auto;
  }

  .t-card__descr {
    max-height: none;
    opacity: 1;
  }


  .t-card__descr {
    max-height: none;
    opacity: 1;
    margin-top: 10px;
  }

  .hero-banner .overlay {
    bottom: 71px;
  }
  .hero-banner:hover .overlay {
    transform: none;
  }

  .hero-banner:hover .t-card__descr {
    max-height: none;
    opacity: 1;
  }



  .hero-banner {
    flex: 0 0 85%;
    max-width: 85%;
    scroll-snap-align: start;
    border-radius: 12px;
  }


  .hero-banner:first-child {
    margin-left: 15px;
  }

  .hero-banner:last-child {
    margin-right: 15px;
  }

   .trust-row {
   display: flex;
    flex-direction: column;
    gap: 20px;

 }

 .products-grid {
    grid-template-columns: repeat(2, 1fr);
    padding: 0 10px;
    gap: 10px;
  }
}

@media (max-width: 480px) {

  .catalog-section {
    display: block;
  }

  /* sidebar вверх */
  .sidebar {
    width: 100%;
  }

  /* категории в строку */
  .cat-link {
    display: inline-block;
    white-space: nowrap;
    padding: 8px 12px;

    border-radius: 20px;
    font-size: 14px;
  }

  .sidebar {
    overflow-x: auto;
   /* display: flex; */
 /*   gap: 8px; */
    padding: 10px;
  }

  /* кнопка фильтров */
  .filters-toggle {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 700;
    padding: 10px;
    border-bottom: 1px solid #ddd;
    cursor: pointer;
  }

  /* скрываем фильтры */
  .filters-content {
    display: none;
    flex-direction: column;
  }
  .filter-wrapper {
    display: none;
  }
    .filter-wrapper.active {
    display: block;
  }
  .filters-content.active {
    display: flex;
  }

  /* аккордеон */
  .accordion {
    display: flex;
    justify-content: space-between;
    padding: 12px 10px;
    border-bottom: 1px solid #eee;
    cursor: pointer;
    font-weight: 600;
  }

  .section-content {
    display: none;
    padding: 10px;
    flex-direction: column;
    gap: 8px;
  }

  .section-content.active {
    display: flex;
  }

  .links-wrap {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-around;
  }
}


